%define name    php5-fileinfo
%define version 5.0.2
%define rversion 0.2
%define release 1mdk

%define modname fileinfo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 32_%{modname}.ini

Summary:	Fileinfo extension module for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
Source0:	Fileinfo-0.2.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	file
BuildRequires:  php5-devel
BuildRequires:  file-devel
Provides:	php5-mime_magic
Obsoletes:	php5-mime_magic
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension allows retrieval of information regarding vast majority of
file. This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a
particular file and for text files proper language encoding.

%prep

%setup -q -n Fileinfo-%{rversion}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

# fix PHP_DEFAULT_MAGIC_FILE
echo "#define PHP_DEFAULT_MAGIC_FILE \"%{_datadir}/misc/magic.mime\"" >> config.h

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

bzcat %{SOURCE1} > %{inifile}
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php5.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL fileinfo.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.2-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- initial mandrake package
